### Method

# FwupdPlugin Device get_proxy

#### Declaration [src]

    FuDevice*
    fu_device_get_proxy (
      FuDevice* self
      GError** error
    )

#### Description [src]

Gets any proxy device. A proxy device can be used to perform an action on behalf of another device, for instance attach()ing it after a successful update.

Unless `FU_DEVICE_PRIVATE_FLAG_REFCOUNTED_PROXY` is set, the proxy object is not refcounted and if destroyed this function will then return `NULL`.

Available since: | 2.0.18

Gets property | `FwupdPlugin.Device:proxy`

#### Return value

Returns: | `FuDevice`
| A device or `NULL`.
| The data is owned by the instance.